Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.properties
Class OWLSubpropertyPane

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  edu.stanford.smi.protege.util.SelectableContainer
                      edu.stanford.smi.protegex.owl.ui.properties.OWLSubpropertyPane

All Implemented Interfaces:
  edu.stanford.smi.protege.util.Disposable, edu.stanford.smi.protege.util.Selectable, HostResourceDisplay, ImageObserver, MenuContainer, Serializable

Direct Known Subclasses:
  OWLAnnotationPropertySubpropertyPane, OWLDatatypePropertySubpropertyPane, OWLObjectPropertySubpropertyPane

    public class OWLSubpropertyPane

extends edu.stanford.smi.protege.util.SelectableContainer
implements HostResourceDisplay

A SelectableContainer displaying a tree of properties.

This class is an adaptation of the core Protege class SubslotPane. Actually this class started as a subclass of SubslotPane, but essentially all methods were overloaded and most core features disabled or changed.

Author:
  Holger Knublauch
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`OWLSubpropertyPane(OWLModel owlModel)`
`OWLSubpropertyPane(edu.stanford.smi.protege.model.Project p)` Deprecated. the other constructor is better

Method Summary
`boolean` | `contains(RDFProperty property)`
`protected OWLPropertySubpropertyRoot` | `createRoot()`
`boolean` | `displayHostResource(RDFResource resource)` Called by actions such as the view action in the FindUsagePanel or the OWLTestResultsPanel.
`void` | `extendSelection(RDFProperty slot)`
`protected Collection` | `getActions()`
`protected Action` | `getCreateAnnotationOWLDatatypePropertyAction()`
`protected Action` | `getCreateAnnotationOWLObjectPropertyAction()`
`protected Action` | `getCreateAnnotationPropertyAction()`
`protected Action` | `getCreateOWLDatatypePropertyAction()`
`protected Action` | `getCreateOWLObjectPropertyAction()`
`protected Action` | `getCreateRDFPropertyAction()`
`protected Action` | `getCreateSubpropertyAction()`
`protected Action` | `getDeletePropertyAction()`
`RDFProperty` | `getDisplayParent()`
`JComponent` | `getDropComponent()`
`protected Icon` | `getHeaderIcon()`
`protected String` | `getHeaderLabel()`
`OWLModel` | `getOWLModel()`
`List` | `getPath(RDFProperty property, List list)`
`protected JPopupMenu` | `getPopupMenu()`
`JTree` | `getTree()`
`protected void` | `handleDelete(Collection properties)`
`void` | `removeSelection()`
`void` | `setDisplayParent(RDFProperty property)`
`void` | `setEnabled(boolean enabled)`
`void` | `setExpandedProperty(RDFProperty property, boolean expanded)`
`void` | `setRenderer(edu.stanford.smi.protege.util.DefaultRenderer renderer)`

Methods inherited from class edu.stanford.smi.protege.util.SelectableContainer
`addSelectionListener, clearSelection, dispose, equals, getSelectable, getSelection, getSoleSelection, notifySelectionListeners, onSelectionChange, removeSelectionListener, setNotificationsEnabled, setSelectable, toString`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getAccessibleContext, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getUIClassID, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, paramString, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update, updateUI`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OWLSubpropertyPane

    @Deprecated
    public OWLSubpropertyPane(edu.stanford.smi.protege.model.Project p)

  Deprecated. the other constructor is better

### OWLSubpropertyPane

    public OWLSubpropertyPane(OWLModel owlModel)

Method Detail

### getHeaderLabel

    protected String getHeaderLabel()

### getHeaderIcon

    protected Icon getHeaderIcon()

### getCreateAnnotationOWLDatatypePropertyAction

    protected Action getCreateAnnotationOWLDatatypePropertyAction()

### getCreateAnnotationOWLObjectPropertyAction

    protected Action getCreateAnnotationOWLObjectPropertyAction()

### getCreateAnnotationPropertyAction

    protected Action getCreateAnnotationPropertyAction()

### getCreateOWLDatatypePropertyAction

    protected Action getCreateOWLDatatypePropertyAction()

### getCreateOWLObjectPropertyAction

    protected Action getCreateOWLObjectPropertyAction()

### getCreateRDFPropertyAction

    protected Action getCreateRDFPropertyAction()

### getCreateSubpropertyAction

    protected Action getCreateSubpropertyAction()

### getDeletePropertyAction

    protected Action getDeletePropertyAction()

### contains

    public boolean contains(RDFProperty property)

### getActions

    protected Collection getActions()

### createRoot

    protected OWLPropertySubpropertyRoot createRoot()

### extendSelection

    public void extendSelection(RDFProperty slot)

### getDisplayParent

    public RDFProperty getDisplayParent()

### getDropComponent

    public JComponent getDropComponent()

### getOWLModel

    public OWLModel getOWLModel()

### getPath

    public List getPath(RDFProperty property,
                        List list)

### getPopupMenu

    protected JPopupMenu getPopupMenu()

### getTree

    public JTree getTree()

### handleDelete

    protected void handleDelete(Collection properties)

### removeSelection

    public void removeSelection()

### setExpandedProperty

    public void setExpandedProperty(RDFProperty property,
                                    boolean expanded)

### setRenderer

    public void setRenderer(edu.stanford.smi.protege.util.DefaultRenderer renderer)

### setDisplayParent

    public void setDisplayParent(RDFProperty property)

### displayHostResource

    public boolean displayHostResource(RDFResource resource)

  Description copied from interface: `HostResourceDisplay`
  Called by actions such as the view action in the FindUsagePanel or the OWLTestResultsPanel. This can be implemented for special handling of this action - otherwise the system will pop up a new window showing the selected RDFResource.

  Specified by:
    `displayHostResource` in interface `HostResourceDisplay`
  Parameters:
    `resource` - the resource to display
  Returns:
    true if the navigation was handled, false for default behavior

### setEnabled

    public void setEnabled(boolean enabled)

  Overrides:
    `setEnabled` in class `JComponent`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.